Method: networks.targetingPresets.batchCreate

Creates TargetingPreset objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/targetingPresets:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where TargetingPresets will be created. Format: networks/{networkCode} The parent field in the CreateTargetingPresetRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateTargetingPresetRequest)
    }
  ]
}
Fields
requests[]

object (CreateTargetingPresetRequest)

Required. The TargetingPreset objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for targetingPresets.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "targetingPresets": [
    {
      object (TargetingPreset)
    }
  ]
}
Fields
targetingPresets[]

object (TargetingPreset)

The TargetingPreset objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateTargetingPresetRequest

Request object for targetingPresets.create method.

JSON representation
{
  "parent": string,
  "targetingPreset": {
    object (TargetingPreset)
  }
}
Fields
parent

string

Required. The parent resource where this TargetingPreset will be created. Format: networks/{networkCode}

targetingPreset

object (TargetingPreset)

Required. The TargetingPreset to create.